// Importieren des Archiv-Files  junit.jar

// 1. import
import junit.framework.*;

import java.util.Vector;

// JUnit Dialog mit Suite

//  1. Ableitung von TestCase
public class junit7 extends TestCase  {


  public double add(double x, double y) {
    return x+y;
  }

  public junit7() {
  } // create


    // 4. Testfall
    // Methode wird von JUnit aufgerufen
	public void testAdd1() {
    double a,b,c;

    c = add(5.033, 4.343);
		assertEquals(c, 9.376,0.0 );
  }

	public void testAdd2() {
		double a,b,c;
		c = add(15.033, -4.343);
		assertEquals(c, 10.690,0.0 );
	}


  // 3. Suite definieren, an JUNit wird der Class-Fiel übergeben
  // sucht alle test*. methoden
	public static Test suite() {
		return new TestSuite( junit7.class );
	}

  public static void main(String[] args) {
      // 2.  suite aufrufen
   junit.swingui.TestRunner.run ( junit7.class );
  }


}


